/* eslint-disable import/no-mutable-exports */
/**
 * The Genesis Server (host0 to establish a connection (WebSocket or HTTP)).
 * Example: wss://localhost:9064
 * @remarks Required.
 * @public
 */
let _API_HOST;
try {
    _API_HOST = API_HOST;
}
catch (_a) { }
export { _API_HOST as API_HOST };
/**
 * The path to a JSON config file for the HTTP mode.
 * @remarks Optional.
 * @public
 */
let _FORCE_HTTP;
try {
    _FORCE_HTTP = FORCE_HTTP;
}
catch (_b) { }
export { _FORCE_HTTP as FORCE_HTTP };
/**
 * Configuration settings for HTTP, used in http connect flow [`genesislcap-foundation-comms.HttpConnectConfig`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
let _HTTP_CONFIG;
try {
    _HTTP_CONFIG = HTTP_CONFIG;
}
catch (_c) { }
export { _HTTP_CONFIG as HTTP_CONFIG };
/**
 * The default Organisation value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
let _DEFAULT_ORGANISATION;
try {
    _DEFAULT_ORGANISATION = DEFAULT_ORGANISATION;
}
catch (_d) { }
export { _DEFAULT_ORGANISATION as DEFAULT_ORGANISATION };
/**
 * The default Password value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
let _DEFAULT_PASSWORD;
try {
    _DEFAULT_PASSWORD = DEFAULT_PASSWORD;
}
catch (_e) { }
export { _DEFAULT_PASSWORD as DEFAULT_PASSWORD };
/**
 * The default Username value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
let _DEFAULT_USER;
try {
    _DEFAULT_USER = DEFAULT_USER;
}
catch (_f) { }
export { _DEFAULT_USER as DEFAULT_USER };
/**
 * The sub-path used for WebSocket connections.
 * Example: API_HOST + '/' + SOCKET_EXT - wss://localhost:9064/gwf.
 * @remarks Optional. Default is "API_HOST/gwf"
 * @public
 */
let _SOCKET_EXT;
try {
    _SOCKET_EXT = SOCKET_EXT;
}
catch (_g) { }
export { _SOCKET_EXT as SOCKET_EXT };
