import consola from 'consola/src/browser';
export { LogLevel } from 'consola';
const logLevelDebug = 4;
/**
 * The default logger options.
 * @public
 */
export const defaultLoggerOptions = {
    level: logLevelDebug,
};
/**
 * Creates a logger with the given name and options.
 * @param name - The name to give the logger.
 * @param options - The options to use when creating the logger.
 * @returns The resulting logger.
 * @public
 */
export function createLogger(name, options = defaultLoggerOptions) {
    const baseLogger = consola.create(options);
    const logger = baseLogger.withTag(name);
    return Object.assign(Object.assign({}, logger), { deprecated: (symbol, instruction = 'Consult docs for better alternative.', removalVersionTarget) => {
            logger.warn(`Deprecated symbol used '${symbol}'. ${instruction}`, `${removalVersionTarget ? `Will be removed in version ${removalVersionTarget}.` : ''}`);
        } });
}
